ScrollPaneSkin (JavaFX 27)
Description: declaration: module: javafx.controls, package: javafx.scene.control.skin, class: ScrollPaneSkin

# Class ScrollPaneSkin

java.lang.Object
javafx.scene.control.SkinBase<ScrollPane>
javafx.scene.control.skin.ScrollPaneSkin

All Implemented Interfaces:
  `Skin<ScrollPane>`

public class ScrollPaneSkin extends SkinBase<ScrollPane>
Default skin implementation for the `ScrollPane` control.

Since:
  9
See Also:
  - `ScrollPane`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScrollPaneSkin(ScrollPane control)`
  Creates a new ScrollPaneSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final ScrollBar`
  `getHorizontalScrollBar()`
  Returns the horizontal `ScrollBar` used in this ScrollPaneSkin instance.
  `final ScrollBar`
  `getVerticalScrollBar()`
  Returns the vertical `ScrollBar` used in this ScrollPaneSkin instance.

  ### Methods declared in class SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Skin

  `install`

- ## Constructor Details

  - ### ScrollPaneSkin

    public ScrollPaneSkin(ScrollPane control)
    Creates a new ScrollPaneSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### getHorizontalScrollBar

    public final ScrollBar getHorizontalScrollBar()
    Returns the horizontal `ScrollBar` used in this ScrollPaneSkin instance.
    Returns:
      the horizontal ScrollBar used in this ScrollPaneSkin instance

  - ### getVerticalScrollBar

    public final ScrollBar getVerticalScrollBar()
    Returns the vertical `ScrollBar` used in this ScrollPaneSkin instance.
    Returns:
      the vertical ScrollBar used in this ScrollPaneSkin instance